# allocator.h File Reference

## Detailed Description

This is an internal header file, included by other library headers. You should not attempt to use it directly.

Definition in file allocator.h.

Go to the source code of this file.

## Namespaces

- namespace std

## Classes

- struct std::__alloc_swap< _Alloc, >
- struct std::__alloc_swap< _Alloc, false >
- class std::allocator< _Tp >
    The "standard" allocator, as per [20.4]. More...
- struct std::allocator< _Tp >::rebind< _Tp1 >
- class std::allocator< void >
    allocator<void> specialization. More...
- struct std::allocator< void >::rebind< _Tp1 >

## Defines

- #define _ALLOCATOR_H

## Functions

- template<typename _Tp> bool std::operator!= (const allocator< _Tp > &, const allocator< _Tp > &)
- template<typename _T1, typename _T2> bool std::operator!= (const allocator< _T1 > &, const allocator< _T2 > &)
- template<typename _Tp> bool std::operator== (const allocator< _Tp > &, const allocator< _Tp > &)
- template<typename _T1, typename _T2> bool std::operator== (const allocator< _T1 > &, const allocator< _T2 > &)